Bug 206422 - [hi_IN, mr_IN] Some GSUB and shapes should be more perfect - Priority - B
Summary: [hi_IN, mr_IN] Some GSUB and shapes should be more perfect - Priority - B
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lohit-fonts   
(Show other bugs)
Version: 11
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Satish Mohan
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature, i18n
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-09-14 11:03 UTC by Satyabrata Maitra
Modified: 2009-09-06 07:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-06 07:15:02 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (2.23 KB, patch)
2006-09-28 15:38 UTC, Rahul Bhalerao
no flags Details | Diff
Verified Image (24.87 KB, image/png)
2007-04-27 13:12 UTC, A S Alam
no flags Details

Description Satyabrata Maitra 2006-09-14 11:03:01 UTC
Description of problem: Some GSUB char is now appearing with the shape which can
be more accurately implemented. The current shape is not wrong, but still as per
the LM's concent, It should show a slight different shape.

GSUB List :

U+0915 U+094D U+0915
U+0915 U+094D U+0932
U+0915 U+094D U+0935
U+091A U+094D U+091A
U+091C U+094D U+091C
U+092A U+094D U+0932
U+092B U+094D U+0932
U+091B U+094D U+0935
U+0926 U+094D U+0917
U+0926 U+094D U+0928
U+0926 U+094D U+0936

Version-Release number of selected component (if applicable):
fonts-indic-2.0.1-1

How reproducible:
Always

Steps to Reproduce:
1. Open gedit
2. Activate SCIM with CTRL+SPACE.
3. Select RAWCODE from the scim-table in Others
4. Type the unicode sequentially as given but without 'U' and '+'.
5. Observe the result.


Actual results:
Shapes are slightly different from actual shape.

Expected results:
Shape should be excatly as actual shape

Additional info:

Comment 1 Satyabrata Maitra 2006-09-14 11:27:28 UTC
Component Version tested : fonts-hindi-2.0.1-1

Comment 3 Rahul Bhalerao 2006-09-28 14:50:42 UTC
I don't think following combinations have any problems.
They were not even reported by hi_IN LM, Rajesh.

1. U+091B U+094D U+0935
2. U+0926 U+094D U+0936(there is no combination like this at all)



Comment 4 Rahul Bhalerao 2006-09-28 15:38:46 UTC
Created attachment 137318 [details]
Patch

Comment 5 Leon Ho 2006-09-29 06:55:48 UTC
Built in 2.0.5-1

Comment 6 A S Alam 2007-04-27 13:12:26 UTC
Created attachment 153620 [details]
Verified Image

Comment 7 A S Alam 2007-04-27 13:15:51 UTC
out 11 combination mention in bug, 1 is not exist (as mention in comment 3), but
other last 2 combinations are working, Can you please confirm whether those are
required in language or not?
fonts-hindi-2.1.5-1.fc7

Comment 8 Rahul Bhalerao 2008-01-17 13:34:11 UTC
The last two combinations are not really required. Thus the bug is fixed, please
close it. 

Comment 9 Jon Stanley 2008-04-23 20:29:29 UTC
Adding FutureFeature keyword to RFE's.

Comment 10 Tony Fu 2008-09-10 03:16:58 UTC
requested by Jens Petersen (#27995)

Comment 11 A S Alam 2009-06-12 07:37:23 UTC
Image with Comment #6 is still true with following version in Fedora Rawhide/11:
lohit-hindi-fonts-2.3.8-1.fc11

it is verified as per comment #8 (Developer comment).

Change to Fedora 11 to follow.


Note You need to log in before you can comment on or make changes to this bug.